Skip to Content

Hello,

you can find on the SAP Service Marketplace -> PAM all the operation systems which will be supported by Secure Login Library. But there are often questions around OS400/AIX/AS400/PASE. So you would like to provide the following information:

OS400 -> Operation system of IBM (can run native on a AS400)
–> Secure Login Library not available –>  SAPCRYPTOLIB (see remark)

AIX programs are binary compatible with OS/400 when using OS/400’s PASE (Portable Applications System Environment)
–> Secure Login Library not official supported yet (in process) –>  SAPCRYPTOLIB (see remark)

UPDATE: Available now with SAP NetWeaver Single Sign-On 2.0

AIX is a series of proprietary Unix operating systems developed by IBM for several of its computer platforms
–> Secure Login Library is available for various AIX versions (see PAM on SAP Marketplace)

Remark/Workaround:
If you use SAP NetWeaver Single Sign-On with Secure Login Server and X.509 certificates, you can use SAPCRYPTOLIB (compatible) instead of Secure Login Library for SSO. SAPCRYPTOLIB supports some additional operation systems (see SAP Marketplace).
SAPCRYPTOLIB contains parts of Secure Login Library, but Secure Login Library has more functions. SAP plans long term to merge both libraries.

Related to SAPCRYPTOLIB the note 0001375378 is very helpful.

So this is the status by today. Please check regularly the PAM of SAP NetWeaver Single Sign-On.

Regards

Matthias

To report this post you need to login first.

Be the first to leave a comment

You must be Logged on to comment or reply to a post.

Leave a Reply